#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.

%define rel 1

Name:		plasma-pa
Version: 5.12.2
Release:	%mkrel %rel
Summary:	Plasma applet for audio volume management using PulseAudio
License:	LGPLv2+ and GPLv2+
Group:		Graphical desktop/KDE
URL:		https://projects.kde.org/projects/kde/workspace/plasma-pa

Source0:	http://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(libcanberra)


BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Widgets)

BuildRequires:	kf5-macros
BuildRequires:	kconfigwidgets-devel
BuildRequires:	kdeclarative-devel
BuildRequires:	kdoctools-devel
BuildRequires:	plasma-framework-devel

# FAILED Couldn't find kde4-config from kde4libs for kconf_update files
BuildRequires:  kdelibs4-devel

# plasma-pa should replace kmix from kde4 during upgrade mga5 -> mga6
Obsoletes:	kmix < 3:4.14.3-2

%description
%{summary}.

%files -f kcm_pulseaudio.lang -f plasma_applet_org.kde.plasma.volume.lang
%license COPYING COPYING.LIB
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.volume
%{_kf5_qmldir}/org/kde/plasma/private/volume
%{_qt5_plugindir}/kcms/kcm_pulseaudio.so
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.plasma.volume.desktop
%{_kf5_datadir}/kconf_update/*
%{_kf5_datadir}/kpackage/kcms/kcm_pulseaudio
%{_kf5_datadir}/kservices5/kcm_pulseaudio.desktop
%{_kf5_appdatadir}/org.kde.plasma.volume.appdata.xml

%_datadir/kde4/apps/kconf_update/disable_kmix.upd
%_datadir/kde4/apps/kconf_update/plasmaVolumeDisableKMixAutostart.pl

#--------------------------------------------------------------------

%package doc
Summary:	Documentation for %{name}
Requires:	%{name} >= %{version}-%{release}
BuildArch:	noarch
Group:		Documentation

%description doc
This package provides documentation for %{name}.

%files doc
%doc %{_kf5_docdir}/HTML/*/kcontrol/plasma-pa

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang kcm_pulseaudio
%find_lang plasma_applet_org.kde.plasma.volume



%changelog
* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga6
+ Revision: 1204501
- New version 5.12.2
- New version 5.12.1
- New version 5.11.95

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104854
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089040
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078175
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070732
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065160
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064493
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063063
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060442
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057614
- New version 5.8.0

* Fri Sep 16 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053411
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052699
- New version 5.7.5

* Tue Sep 13 2016 daviddavid <daviddavid> 5.7.4-2.mga6
+ Revision: 1052018
- plasma-pa should replace kmix from kde4 during upgrade mga5 -> mga6 (mga#19095)

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048828
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044284
- New version 5.7.3

* Wed Jul 20 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042758
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041409
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039731
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021886
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014554
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009291
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999275
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998030
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994476
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 986985
- New version 5.5.95

* Mon Mar 07 2016 neoclust <neoclust> 5.5.3-2.mga6
+ Revision: 986983
- Rebuild against kf5 5.20.0

* Thu Jan 14 2016 sander85 <sander85> 5.5.3-1.mga6
+ Revision: 923027
- New version: 5.5.3

  + neoclust <neoclust>
    - New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.5.0-2.mga6
+ Revision: 913587
- Rebuild against Qt 5.6.0 Beta

* Thu Dec 10 2015 sander85 <sander85> 5.5.0-1.mga6
+ Revision: 909352
- New version: 5.5.0

  + neoclust <neoclust>
    - New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.2-2.mga6
+ Revision: 900722
- Rebuild against fixed qtbase5

* Mon Oct 19 2015 sander85 <sander85> 5.4.2-1.mga6
+ Revision: 892759
- imported package plasma-pa


* Mon Oct 19 2015 Sander Lepik <mageia@sander85.eu> - 5.4.2-1
- Initial import into Mageia

* Thu Oct 01 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.4.2-1
- 5.4.2

* Wed Sep 09 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.4.1-1
- 5.4.1

* Tue Aug 25 2015 Daniel Vrátil <dvratil@redhat.com> - 5.4.0-1
- Upate to 5.4.0
- add %%license

* Thu Aug 13 2015 Daniel Vrátil <dvratil@redhat.com> - 5.3.95-1
- Initial version
